gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] 03/27: GNS: Add test_gns_box_sbox.sh and test_gns_sbox.sh scrip


From: gnunet
Subject: [gnunet] 03/27: GNS: Add test_gns_box_sbox.sh and test_gns_sbox.sh scripts
Date: Thu, 14 Dec 2023 19:22:57 +0100

This is an automated email from the git hooks/post-receive script.

sebi pushed a commit to branch master
in repository gnunet.

commit 4751ddab78dd11e0560ca08b854c794b64c5e36e
Author: Sebastian Nadler <sebastian.nadler@tum.de>
AuthorDate: Thu Dec 7 17:20:16 2023 +0100

    GNS: Add test_gns_box_sbox.sh and test_gns_sbox.sh scripts
---
 src/cli/gns/test_gns_box_sbox.sh | 59 ++++++++++++++++++++++++++++++++++++++++
 src/cli/gns/test_gns_sbox.sh     |  8 +++---
 2 files changed, 63 insertions(+), 4 deletions(-)

diff --git a/src/cli/gns/test_gns_box_sbox.sh b/src/cli/gns/test_gns_box_sbox.sh
new file mode 100755
index 000000000..1f226dce9
--- /dev/null
+++ b/src/cli/gns/test_gns_box_sbox.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# This file is in the public domain.
+trap "gnunet-arm -e -c test_gns_lookup.conf" INT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version 1> /dev/null
+if test $? != 0
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX"
+       exit 77
+fi
+
+rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
+TEST_B="TXT_record_in_BOX"
+TEST_S="TXT_record_in_SBOX"
+TEST_A="10.1.11.10"
+MY_EGO="myego"
+LABEL="testsbox"
+SERVICE="443"
+SERVICE_TEXT="_443"
+PROTOCOL="6"
+PROTOCOL_TEXT="_tcp"
+gnunet-arm -s -c test_gns_lookup.conf
+gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t SBOX -V 
"$SERVICE_TEXT.$PROTOCOL_TEXT 16 $TEST_S" -e never -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t BOX -V "$PROTOCOL $SERVICE 16 
$TEST_B" -e never -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t SBOX -V 
"$SERVICE_TEXT.$PROTOCOL_TEXT 1 $TEST_A" -e never -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t BOX -V "$PROTOCOL $SERVICE 1 
$TEST_A" -e never -c test_gns_lookup.conf
+sleep 0.5
+RES_B_S=`$DO_TIMEOUT gnunet-gns --raw -u 
$SERVICE_TEXT.$PROTOCOL_TEXT.$LABEL.$MY_EGO -t TXT -c test_gns_lookup.conf`
+RES_A=`$DO_TIMEOUT gnunet-gns --raw -u 
$SERVICE_TEXT.$PROTOCOL_TEXT.$LABEL.$MY_EGO -t A -c test_gns_lookup.conf`
+gnunet-namestore -z $MY_EGO -d -n $LABEL -t SBOX -V 
"$SERVICE_TEXT.$PROTOCOL_TEXT 16 $TEST_S" -e never -c test_gns_lookup.conf
+gnunet-namestore -z $MY_EGO -d -n $LABEL -t BOX -V "$PROTOCOL $SERVICE 16 
$TEST_B" -e never -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -d -n $LABEL -t SBOX -V 
"$SERVICE_TEXT.$PROTOCOL_TEXT 1 $TEST_A" -e never -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -d -n $LABEL -t BOX -V "$PROTOCOL $SERVICE 1 
$TEST_A" -e never -c test_gns_lookup.conf
+gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
+gnunet-arm -e -c test_gns_lookup.conf
+rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
+
+{ read RES_B; read RES_S;} <<< "${RES_B_S}"
+if [ "$RES_B" = "$RES_S" ]
+then
+  echo "Failed to resolve to diffrent TXT records, got '$RES_B' and '$RES_S'."
+  exit 1
+fi
+
+{ read RES_S_A; read RES_B_A;} <<< "${RES_A}"
+if [ "$RES_S_A" = "$TEST_A" ] && [ "$RES_B_A" = "$TEST_A" ]
+then
+  exit 0
+else
+  echo "Failed to resolve to proper A '$TEST_A', got '$RES_S_A' and 
'$RES_S_B'."
+  exit 1
+fi
diff --git a/src/cli/gns/test_gns_sbox.sh b/src/cli/gns/test_gns_sbox.sh
index b00b813f7..54e51fa2c 100755
--- a/src/cli/gns/test_gns_sbox.sh
+++ b/src/cli/gns/test_gns_sbox.sh
@@ -20,13 +20,13 @@ TEST_A="139.134.54.9"
 MY_EGO="myego"
 LABEL="testsbox"
 HASH="c93f1e400f26708f98cb19d936620da35eec8f72e57f9eec01c1afd6"
-SERVICE_TEXT="_tcp"
+PROTOCOL_TEXT="_smimecert"
 gnunet-arm -s -c test_gns_lookup.conf
 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
-gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t SBOX -V "$HASH.$SERVICE_TEXT 1 
$TEST_A" -e never -c test_gns_lookup.conf
+gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t SBOX -V "$HASH.$PROTOCOL_TEXT 1 
$TEST_A" -e never -c test_gns_lookup.conf
 sleep 0.5
-RES_A=`$DO_TIMEOUT gnunet-gns --raw -u $HASH.$SERVICE_TEXT.$LABEL.$MY_EGO -t A 
-c test_gns_lookup.conf`
-gnunet-namestore -z $MY_EGO -d -n $LABEL -t SBOX -V "$HASH.$SERVICE_TEXT 1 
$TEST_A" -e never -c test_gns_lookup.conf
+RES_A=`$DO_TIMEOUT gnunet-gns --raw -u $HASH.$PROTOCOL_TEXT.$LABEL.$MY_EGO -t 
A -c test_gns_lookup.conf`
+gnunet-namestore -z $MY_EGO -d -n $LABEL -t SBOX -V "$HASH.$PROTOCOL_TEXT 1 
$TEST_A" -e never -c test_gns_lookup.conf
 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
 gnunet-arm -e -c test_gns_lookup.conf
 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]